Subject: Re: [PATCH 2/2] gitweb: Use character or octal escape codes (and add span.cntrl) in esc_path

From: Jakub Narebski <[email-masked]>
Date: Wed, 8 Nov 2006 19:56:19 +0100

Junio C Hamano wrote:
> Jakub Narebski <[email-masked]> writes:
> 
>> Instead of simply hiding control characters in esc_path by replacing
>> them with '?', use Character Escape Codes (CEC) i.e. alphabetic
>> backslash sequences like those found in C programming language and
>> many other languages influenced by it, such as Java and Perl.  If
>> control characted doesn't have corresponding character escape code,
>> use octal char sequence to escape it.
>>
>> Additionally use 'span' element with 'cntrl' attribute to mark escaped
>> control characters. Add style for span.cntrl in the CSS.
> 
> Would have preferred the 'span' thing to be part of [1/2]...

I've misunderstood you then. I'm sorry.

> Didn't I ask quot to be freestanding sub, not nested?  That
> would make UPR vs CEC experiments easier and more pleasant.

In what way having freestanding and not nested sub would "make
UPR vs CEC experiments easier and more pleasant"?

If it is important, I can send patch moving quot sub outside
esc_path (and perhaps also unq sub outside unquote), or send
corrected patch... or you can correct patch by hand...

-- 
Jakub Narebski